Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Plasma 5 (KDE)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
redwood
Apprentice
Apprentice


Joined: 27 Jan 2006
Posts: 284

PostPosted: Mon Oct 05, 2015 7:27 pm    Post subject: Plasma 5 (KDE) Reply with quote

I'm trying to install KDE Plasma following the Gentoo Wiki https://wiki.gentoo.org/wiki/KDE/Plasma_5_upgrade

but I'm getting an error trying to install kde-plasma/ksysguard-5.4.1:5::gentoo which is needed for plasma-desktop

Code:

make[2]: *** [gui/CMakeFiles/kdeinit_ksysguard.dir/SensorDisplayLib/ProcessController.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/var/tmp/portage/kde-plasma/ksysguard-5.4.1/work/ksysguard-5.4.1/gui/ksysguard.cpp:67:44: fatal error: processui/ksysguardprocesslist.h: No such file or directory
 #include "processui/ksysguardprocesslist.h"


I've installed kde-plasma/libksysguard but it doesn't provide the missing header file.
kde-base/ksysguard:4 did install the header file, but system can't seem to find the header:

Code:

# find /var/tmp/portage/kde-plasma/ksysguard-5.4.1/work/ksysguard-5.4.1_build -iname ksysguardprocesslist.h
#


Anybody got this to install?
Thanks.
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2539
Location: Near Toronto

PostPosted: Mon Oct 05, 2015 9:12 pm    Post subject: Reply with quote

Quote:
Anybody got this to install?


I just rebuilt it to check; no problem

ksysguardprocesslist.h belongs to libksysguard; maybe
it's the processui use flag ?? Mine has it enabled.
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
redwood
Apprentice
Apprentice


Joined: 27 Jan 2006
Posts: 284

PostPosted: Mon Oct 05, 2015 10:30 pm    Post subject: [solved] Reply with quote

I did already have kde-plasma/libksysguard -5.4.1 installed but still couldn't get ksysguard:5 to install.


Finally solved the issue (sort of).

I hadn't updated in a while so I had a lot of blockers which took a very long time to resolve. While I was sorting through things, I decided to cleanup my package.keywords by trying to remove testing packages, one of which was sys-libs/db.

I had sys-libs/db-6.0.35 installed as well as 4.8.30-r2, 4.7.25_p4, and 4.5.20_p2-r1

After downgrading to 4.8.30-r2, /usr/libexec/postfix/smtp broke,
with postfix reporting that smtp was compiled against 4.8.30-r2 but still run-time linked to 6.0.35
So I ran revdep-rebuild, and it tried to re-emerge sys-libs/db-4.8.30-r2 (stable) but failed with "Unable to run autoconf"
I tried switch java environments and recompiling other stuff to no avail.

Eventually, I gave up and just upgraded sys-libs/db back to 6.0.35 (testing) which fixed my mail problems.

Then I re-emerged libksysguard and ksysguard then emerged successfully.

Weird.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum